!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-18 22:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(820)
  integer, parameter :: nGC_3229 = 1
  integer, parameter :: nGC_3228 = 2
  integer, parameter :: nGC_3227 = 3
  integer, parameter :: nGC_3226 = 4
  integer, parameter :: nGC_3225 = 5
  integer, parameter :: nGC_3224 = 6
  integer, parameter :: nGC_3223 = 7
  integer, parameter :: nGC_3222 = 8
  integer, parameter :: nGC_3221 = 9
  integer, parameter :: nGC_3220 = 10
  integer, parameter :: nGC_3381 = 11
  integer, parameter :: nGC_3139 = 12
  integer, parameter :: nGC_3138 = 13
  integer, parameter :: nGC_3421 = 14
  integer, parameter :: nGC_3132 = 15
  integer, parameter :: nGC_3423 = 16
  integer, parameter :: nGC_3422 = 17
  integer, parameter :: nGC_3425 = 18
  integer, parameter :: nGC_3136 = 19
  integer, parameter :: nGC_3135 = 20
  integer, parameter :: nGC_3188 = 21
  integer, parameter :: nGC_3189 = 22
  integer, parameter :: nGC_MZ_GF = 23
  integer, parameter :: nGC_28 = 24
  integer, parameter :: nGC_29 = 25
  integer, parameter :: nGC_22 = 26
  integer, parameter :: nGC_23 = 27
  integer, parameter :: nGC_20 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_27 = 31
  integer, parameter :: nGC_24 = 32
  integer, parameter :: nGC_25 = 33
  integer, parameter :: nGC_3181 = 34
  integer, parameter :: nGC_81 = 35
  integer, parameter :: nGC_GG = 36
  integer, parameter :: nGC_3343 = 37
  integer, parameter :: nGC_70 = 38
  integer, parameter :: nGC_3310 = 39
  integer, parameter :: nGC_3469 = 40
  integer, parameter :: nGC_3468 = 41
  integer, parameter :: nGC_3465 = 42
  integer, parameter :: nGC_3467 = 43
  integer, parameter :: nGC_3466 = 44
  integer, parameter :: nGC_3463 = 45
  integer, parameter :: nGC_5047 = 46
  integer, parameter :: nGC_MMW_GF = 47
  integer, parameter :: nGC_3182 = 48
  integer, parameter :: nGC_3183 = 49
  integer, parameter :: nGC_3180 = 50
  integer, parameter :: nGC_3186 = 51
  integer, parameter :: nGC_3187 = 52
  integer, parameter :: nGC_3184 = 53
  integer, parameter :: nGC_3185 = 54
  integer, parameter :: nGC_71 = 55
  integer, parameter :: nGC_3164 = 56
  integer, parameter :: nGC_3165 = 57
  integer, parameter :: nGC_3166 = 58
  integer, parameter :: nGC_3167 = 59
  integer, parameter :: nGC_3160 = 60
  integer, parameter :: nGC_3161 = 61
  integer, parameter :: nGC_3162 = 62
  integer, parameter :: nGC_3163 = 63
  integer, parameter :: nGC_3168 = 64
  integer, parameter :: nGC_I = 65
  integer, parameter :: nGC_3169 = 66
  integer, parameter :: nGC_3 = 67
  integer, parameter :: nGC_2 = 68
  integer, parameter :: nGC_1 = 69
  integer, parameter :: nGC_7 = 70
  integer, parameter :: nGC_6 = 71
  integer, parameter :: nGC_5 = 72
  integer, parameter :: nGC_4 = 73
  integer, parameter :: nGC_9 = 74
  integer, parameter :: nGC_8 = 75
  integer, parameter :: nGC_6539 = 76
  integer, parameter :: nGC_3100 = 77
  integer, parameter :: nGC_53 = 78
  integer, parameter :: nGC_52 = 79
  integer, parameter :: nGC_51 = 80
  integer, parameter :: nGC_50 = 81
  integer, parameter :: nGC_57 = 82
  integer, parameter :: nGC_56 = 83
  integer, parameter :: nGC_55 = 84
  integer, parameter :: nGC_3420 = 85
  integer, parameter :: nGC_59 = 86
  integer, parameter :: nGC_58 = 87
  integer, parameter :: nGC_3131 = 88
  integer, parameter :: nGC_3130 = 89
  integer, parameter :: nGC_3104 = 90
  integer, parameter :: nGC_3137 = 91
  integer, parameter :: nGC_3424 = 92
  integer, parameter :: nGC_MC = 93
  integer, parameter :: nGC_MB = 94
  integer, parameter :: nGC_160 = 95
  integer, parameter :: nGC_3134 = 96
  integer, parameter :: nGC_166 = 97
  integer, parameter :: nGC_4876 = 98
  integer, parameter :: nGC_3234 = 99
  integer, parameter :: nGC_3235 = 100
  integer, parameter :: nGC_3236 = 101
  integer, parameter :: nGC_3230 = 102
  integer, parameter :: nGC_3231 = 103
  integer, parameter :: nGC_3232 = 104
  integer, parameter :: nGC_3233 = 105
  integer, parameter :: nGC_5124 = 106
  integer, parameter :: nGC_5084 = 107
  integer, parameter :: nGC_MZ = 108
  integer, parameter :: nGC_3434 = 109
  integer, parameter :: nGC_3435 = 110
  integer, parameter :: nGC_3289 = 111
  integer, parameter :: nGC_3122 = 112
  integer, parameter :: nGC_3123 = 113
  integer, parameter :: nGC_3126 = 114
  integer, parameter :: nGC_3127 = 115
  integer, parameter :: nGC_5019 = 116
  integer, parameter :: nGC_5158 = 117
  integer, parameter :: nGC_306 = 118
  integer, parameter :: nGC_17 = 119
  integer, parameter :: nGC_16 = 120
  integer, parameter :: nGC_15 = 121
  integer, parameter :: nGC_14 = 122
  integer, parameter :: nGC_13 = 123
  integer, parameter :: nGC_12 = 124
  integer, parameter :: nGC_11 = 125
  integer, parameter :: nGC_10 = 126
  integer, parameter :: nGC_19 = 127
  integer, parameter :: nGC_18 = 128
  integer, parameter :: nGC_MW_GF = 129
  integer, parameter :: nGC_5727 = 130
  integer, parameter :: nGC_3198 = 131
  integer, parameter :: nGC_3202 = 132
  integer, parameter :: nGC_3371 = 133
  integer, parameter :: nGC_3373 = 134
  integer, parameter :: nGC_5795 = 135
  integer, parameter :: nGC_5729 = 136
  integer, parameter :: nGC_3193 = 137
  integer, parameter :: nGC_MI = 138
  integer, parameter :: nGC_3219 = 139
  integer, parameter :: nGC_84 = 140
  integer, parameter :: nGC_3472 = 141
  integer, parameter :: nGC_3473 = 142
  integer, parameter :: nGC_3470 = 143
  integer, parameter :: nGC_3471 = 144
  integer, parameter :: nGC_3474 = 145
  integer, parameter :: nGC_5225 = 146
  integer, parameter :: nGC_MH = 147
  integer, parameter :: nGC_5112 = 148
  integer, parameter :: nGC_5465 = 149
  integer, parameter :: nGC_5463 = 150
  integer, parameter :: nGC_3276 = 151
  integer, parameter :: nGC_1998 = 152
  integer, parameter :: nGC_3278 = 153
  integer, parameter :: nGC_5469 = 154
  integer, parameter :: nGC_3151 = 155
  integer, parameter :: nGC_3150 = 156
  integer, parameter :: nGC_3153 = 157
  integer, parameter :: nGC_3152 = 158
  integer, parameter :: nGC_3155 = 159
  integer, parameter :: nGC_3154 = 160
  integer, parameter :: nGC_3409 = 161
  integer, parameter :: nGC_3408 = 162
  integer, parameter :: nGC_3407 = 163
  integer, parameter :: nGC_3406 = 164
  integer, parameter :: nGC_3401 = 165
  integer, parameter :: nGC_3400 = 166
  integer, parameter :: nGC_5027 = 167
  integer, parameter :: nGC_5025 = 168
  integer, parameter :: nGC_224 = 169
  integer, parameter :: nGC_5021 = 170
  integer, parameter :: nGC_HHHH = 171
  integer, parameter :: nGC_MM = 172
  integer, parameter :: nGC_3368 = 173
  integer, parameter :: nGC_456 = 174
  integer, parameter :: nGC_5365 = 175
  integer, parameter :: nGC_5930 = 176
  integer, parameter :: nGC_5799 = 177
  integer, parameter :: nGC_48 = 178
  integer, parameter :: nGC_49 = 179
  integer, parameter :: nGC_44 = 180
  integer, parameter :: nGC_45 = 181
  integer, parameter :: nGC_46 = 182
  integer, parameter :: nGC_47 = 183
  integer, parameter :: nGC_40 = 184
  integer, parameter :: nGC_41 = 185
  integer, parameter :: nGC_42 = 186
  integer, parameter :: nGC_43 = 187
  integer, parameter :: nGC_5292 = 188
  integer, parameter :: nGC_3209 = 189
  integer, parameter :: nGC_3208 = 190
  integer, parameter :: nGC_3201 = 191
  integer, parameter :: nGC_3200 = 192
  integer, parameter :: nGC_3203 = 193
  integer, parameter :: nGC_54 = 194
  integer, parameter :: nGC_3205 = 195
  integer, parameter :: nGC_3204 = 196
  integer, parameter :: nGC_3207 = 197
  integer, parameter :: nGC_3206 = 198
  integer, parameter :: nGC_3146 = 199
  integer, parameter :: nGC_3440 = 200
  integer, parameter :: nGC_3447 = 201
  integer, parameter :: nGC_3144 = 202
  integer, parameter :: nGC_3446 = 203
  integer, parameter :: nGC_3417 = 204
  integer, parameter :: nGC_3113 = 205
  integer, parameter :: nGC_9172 = 206
  integer, parameter :: nGC_3441 = 207
  integer, parameter :: nGC_3444 = 208
  integer, parameter :: nGC_3143 = 209
  integer, parameter :: nGC_3339 = 210
  integer, parameter :: nGC_3338 = 211
  integer, parameter :: nGC_4912 = 212
  integer, parameter :: nGC_3335 = 213
  integer, parameter :: nGC_3334 = 214
  integer, parameter :: nGC_3337 = 215
  integer, parameter :: nGC_3336 = 216
  integer, parameter :: nGC_3333 = 217
  integer, parameter :: nGC_3115 = 218
  integer, parameter :: nGC_3114 = 219
  integer, parameter :: nGC_3117 = 220
  integer, parameter :: nGC_3116 = 221
  integer, parameter :: nGC_3111 = 222
  integer, parameter :: nGC_3110 = 223
  integer, parameter :: nGC_3445 = 224
  integer, parameter :: nGC_3112 = 225
  integer, parameter :: nGC_3449 = 226
  integer, parameter :: nGC_3448 = 227
  integer, parameter :: nGC_3119 = 228
  integer, parameter :: nGC_3118 = 229
  integer, parameter :: nGC_4971 = 230
  integer, parameter :: nGC_5069 = 231
  integer, parameter :: nGC_5068 = 232
  integer, parameter :: nGC_5733 = 233
  integer, parameter :: nGC_GPGMGPGM = 234
  integer, parameter :: nGC_7182 = 235
  integer, parameter :: nGC_7181 = 236
  integer, parameter :: nGC_3157 = 237
  integer, parameter :: nGC_3133 = 238
  integer, parameter :: nGC_5289 = 239
  integer, parameter :: nGC_4761 = 240
  integer, parameter :: nGC_4765 = 241
  integer, parameter :: nGC_5307 = 242
  integer, parameter :: nGC_6351 = 243
  integer, parameter :: nGC_3156 = 244
  integer, parameter :: nGC_254 = 245
  integer, parameter :: nGC_152 = 246
  integer, parameter :: nGC_3475 = 247
  integer, parameter :: nGC_5258 = 248
  integer, parameter :: nGC_5255 = 249
  integer, parameter :: nGC_8054 = 250
  integer, parameter :: nGC_8057 = 251
  integer, parameter :: nGC_8058 = 252
  integer, parameter :: nGC_75 = 253
  integer, parameter :: nGC_74 = 254
  integer, parameter :: nGC_77 = 255
  integer, parameter :: nGC_76 = 256
  integer, parameter :: nGC_6078 = 257
  integer, parameter :: nGC_73 = 258
  integer, parameter :: nGC_72 = 259
  integer, parameter :: nGC_6077 = 260
  integer, parameter :: nGC_79 = 261
  integer, parameter :: nGC_78 = 262
  integer, parameter :: nGC_HHGG = 263
  integer, parameter :: nGC_4815 = 264
  integer, parameter :: nGC_4819 = 265
  integer, parameter :: nGC_4954 = 266
  integer, parameter :: nGC_4955 = 267
  integer, parameter :: nGC_5731 = 268
  integer, parameter :: nGC_3399 = 269
  integer, parameter :: nGC_3398 = 270
  integer, parameter :: nGC_3393 = 271
  integer, parameter :: nGC_3392 = 272
  integer, parameter :: nGC_3391 = 273
  integer, parameter :: nGC_3390 = 274
  integer, parameter :: nGC_3397 = 275
  integer, parameter :: nGC_3396 = 276
  integer, parameter :: nGC_3395 = 277
  integer, parameter :: nGC_3394 = 278
  integer, parameter :: nGC_5109 = 279
  integer, parameter :: nGC_3366 = 280
  integer, parameter :: nGC_3367 = 281
  integer, parameter :: nGC_3365 = 282
  integer, parameter :: nGC_3245 = 283
  integer, parameter :: nGC_3246 = 284
  integer, parameter :: nGC_3241 = 285
  integer, parameter :: nGC_3242 = 286
  integer, parameter :: nGC_4738 = 287
  integer, parameter :: nGC_4739 = 288
  integer, parameter :: nGC_4732 = 289
  integer, parameter :: nGC_3148 = 290
  integer, parameter :: nGC_3149 = 291
  integer, parameter :: nGC_3414 = 292
  integer, parameter :: nGC_3147 = 293
  integer, parameter :: nGC_3416 = 294
  integer, parameter :: nGC_3145 = 295
  integer, parameter :: nGC_3142 = 296
  integer, parameter :: nGC_3140 = 297
  integer, parameter :: nGC_3141 = 298
  integer, parameter :: nGC_5604 = 299
  integer, parameter :: nGC_3092 = 300
  integer, parameter :: nGC_3093 = 301
  integer, parameter :: nGC_3094 = 302
  integer, parameter :: nGC_3095 = 303
  integer, parameter :: nGC_3096 = 304
  integer, parameter :: nGC_3097 = 305
  integer, parameter :: nGC_3098 = 306
  integer, parameter :: nGC_3099 = 307
  integer, parameter :: nGC_3275 = 308
  integer, parameter :: nGC_5603 = 309
  integer, parameter :: nGC_4781 = 310
  integer, parameter :: nGC_3101 = 311
  integer, parameter :: nGC_4877 = 312
  integer, parameter :: nGC_880 = 313
  integer, parameter :: nGC_5929 = 314
  integer, parameter :: nGC_86 = 315
  integer, parameter :: nGC_284 = 316
  integer, parameter :: nGC_362 = 317
  integer, parameter :: nGC_87 = 318
  integer, parameter :: nGC_39 = 319
  integer, parameter :: nGC_38 = 320
  integer, parameter :: nGC_3277 = 321
  integer, parameter :: nGC_31 = 322
  integer, parameter :: nGC_30 = 323
  integer, parameter :: nGC_33 = 324
  integer, parameter :: nGC_32 = 325
  integer, parameter :: nGC_35 = 326
  integer, parameter :: nGC_34 = 327
  integer, parameter :: nGC_37 = 328
  integer, parameter :: nGC_36 = 329
  integer, parameter :: nGC_144 = 330
  integer, parameter :: nGC_3415 = 331
  integer, parameter :: nGC_148 = 332
  integer, parameter :: nGC_5501 = 333
  integer, parameter :: nGC_5502 = 334
  integer, parameter :: nGC_2002 = 335
  integer, parameter :: nGC_2004 = 336
  integer, parameter :: nGC_5265 = 337
  integer, parameter :: nGC_3359 = 338
  integer, parameter :: nGC_3358 = 339
  integer, parameter :: nGC_3357 = 340
  integer, parameter :: nGC_3356 = 341
  integer, parameter :: nGC_3355 = 342
  integer, parameter :: nGC_3443 = 343
  integer, parameter :: nGC_3351 = 344
  integer, parameter :: nGC_3350 = 345
  integer, parameter :: nGC_6974 = 346
  integer, parameter :: nGC_6976 = 347
  integer, parameter :: nGC_6977 = 348
  integer, parameter :: nGC_6973 = 349
  integer, parameter :: nGC_GGH = 350
  integer, parameter :: nGC_3328 = 351
  integer, parameter :: nGC_3329 = 352
  integer, parameter :: nGC_4925 = 353
  integer, parameter :: nGC_4924 = 354
  integer, parameter :: nGC_3320 = 355
  integer, parameter :: nGC_3321 = 356
  integer, parameter :: nGC_3326 = 357
  integer, parameter :: nGC_3327 = 358
  integer, parameter :: nGC_3324 = 359
  integer, parameter :: nGC_3325 = 360
  integer, parameter :: nGC_3102 = 361
  integer, parameter :: nGC_3103 = 362
  integer, parameter :: nGC_3452 = 363
  integer, parameter :: nGC_3453 = 364
  integer, parameter :: nGC_3106 = 365
  integer, parameter :: nGC_3107 = 366
  integer, parameter :: nGC_3456 = 367
  integer, parameter :: nGC_3105 = 368
  integer, parameter :: nGC_3458 = 369
  integer, parameter :: nGC_3459 = 370
  integer, parameter :: nGC_3108 = 371
  integer, parameter :: nGC_3109 = 372
  integer, parameter :: nGC_ME = 373
  integer, parameter :: nGC_MD = 374
  integer, parameter :: nGC_3159 = 375
  integer, parameter :: nGC_3158 = 376
  integer, parameter :: nGC_MS = 377
  integer, parameter :: nGC_MW = 378
  integer, parameter :: nGC_MU = 379
  integer, parameter :: nGC_MT = 380
  integer, parameter :: nGC_5177 = 381
  integer, parameter :: nGC_5176 = 382
  integer, parameter :: nGC_5178 = 383
  integer, parameter :: nGC_3216 = 384
  integer, parameter :: nGC_3217 = 385
  integer, parameter :: nGC_3214 = 386
  integer, parameter :: nGC_3215 = 387
  integer, parameter :: nGC_3212 = 388
  integer, parameter :: nGC_3213 = 389
  integer, parameter :: nGC_3210 = 390
  integer, parameter :: nGC_3211 = 391
  integer, parameter :: nGC_3195 = 392
  integer, parameter :: nGC_3194 = 393
  integer, parameter :: nGC_3197 = 394
  integer, parameter :: nGC_3196 = 395
  integer, parameter :: nGC_3191 = 396
  integer, parameter :: nGC_3190 = 397
  integer, parameter :: nGC_3218 = 398
  integer, parameter :: nGC_3192 = 399
  integer, parameter :: nGC_3177 = 400
  integer, parameter :: nGC_3176 = 401
  integer, parameter :: nGC_3175 = 402
  integer, parameter :: nGC_3174 = 403
  integer, parameter :: nGC_3173 = 404
  integer, parameter :: nGC_3172 = 405
  integer, parameter :: nGC_3171 = 406
  integer, parameter :: nGC_3170 = 407
  integer, parameter :: nGC_3413 = 408
  integer, parameter :: nGC_3179 = 409
  integer, parameter :: nGC_3178 = 410
  integer, parameter :: nGC_3128 = 411
  integer, parameter :: nGC_3129 = 412
  integer, parameter :: nGC_320 = 413
  integer, parameter :: nGC_4772 = 414
  integer, parameter :: nGC_4773 = 415
  integer, parameter :: nGC_4774 = 416
  integer, parameter :: nGC_4775 = 417
  integer, parameter :: nGC_MTA = 418
  integer, parameter :: nGC_3120 = 419
  integer, parameter :: nGC_3121 = 420
  integer, parameter :: nGC_9023 = 421
  integer, parameter :: nGC_1204 = 422
  integer, parameter :: nGC_9026 = 423
  integer, parameter :: nGC_3124 = 424
  integer, parameter :: nGC_4893 = 425
  integer, parameter :: nGC_9430 = 426
  integer, parameter :: nGC_3125 = 427
  integer, parameter :: nGC_88 = 428
  integer, parameter :: nGC_5213 = 429
  integer, parameter :: nGC_80 = 430
  integer, parameter :: nGC_5853 = 431
  integer, parameter :: nGC_82 = 432
  integer, parameter :: nGC_83 = 433
  integer, parameter :: nGC_85 = 434
  integer, parameter :: nGC_5854 = 435
  integer, parameter :: nGC_5855 = 436
  integer, parameter :: nGC_3199 = 437
  integer, parameter :: nGC_66 = 438
  integer, parameter :: nGC_67 = 439
  integer, parameter :: nGC_64 = 440
  integer, parameter :: nGC_65 = 441
  integer, parameter :: nGC_62 = 442
  integer, parameter :: nGC_63 = 443
  integer, parameter :: nGC_60 = 444
  integer, parameter :: nGC_61 = 445
  integer, parameter :: nGC_68 = 446
  integer, parameter :: nGC_69 = 447
  integer, parameter :: nGC_4966 = 448
  integer, parameter :: nGC_HHH = 449
  integer, parameter :: nGC_4806 = 450
  integer, parameter :: nGC_4807 = 451
  integer, parameter :: nGC_112 = 452
  integer, parameter :: nGC_3388 = 453
  integer, parameter :: nGC_3389 = 454
  integer, parameter :: nGC_7542 = 455
  integer, parameter :: nGC_7543 = 456
  integer, parameter :: nGC_3380 = 457
  integer, parameter :: nGC_3382 = 458
  integer, parameter :: nGC_3383 = 459
  integer, parameter :: nGC_3384 = 460
  integer, parameter :: nGC_3385 = 461
  integer, parameter :: nGC_3386 = 462
  integer, parameter :: nGC_3387 = 463
  integer, parameter :: nGC_3313 = 464
  integer, parameter :: nGC_3312 = 465
  integer, parameter :: nGC_3311 = 466
  integer, parameter :: nGC_3259 = 467
  integer, parameter :: nGC_3317 = 468
  integer, parameter :: nGC_3316 = 469
  integer, parameter :: nGC_3315 = 470
  integer, parameter :: nGC_3314 = 471
  integer, parameter :: nGC_3252 = 472
  integer, parameter :: nGC_3253 = 473
  integer, parameter :: nGC_3250 = 474
  integer, parameter :: nGC_3318 = 475
  integer, parameter :: nGC_3256 = 476
  integer, parameter :: nGC_3257 = 477
  integer, parameter :: nGC_3255 = 478
  integer, parameter :: nGC_7906 = 479
  integer, parameter :: nGC_7909 = 480
  integer, parameter :: nGC_3429 = 481
  integer, parameter :: nGC_3428 = 482
  integer, parameter :: nGC_3427 = 483
  integer, parameter :: nGC_3426 = 484
  integer, parameter :: nGC_5000 = 485
  integer, parameter :: nGC_5003 = 486
  integer, parameter :: nGC_5006 = 487
  integer, parameter :: nGC_206 = 488
  integer, parameter :: nGC_4796 = 489
  integer, parameter :: nGC_4790 = 490
  integer, parameter :: nGC_8009 = 491
  integer, parameter :: nGC_5138 = 492
  integer, parameter :: nGC_3266 = 493
  integer, parameter :: nGC_3265 = 494
  integer, parameter :: nGC_3264 = 495
  integer, parameter :: nGC_6623 = 496
  integer, parameter :: nGC_6624 = 497
  integer, parameter :: nGC_4846 = 498
  integer, parameter :: nGC_4847 = 499
  integer, parameter :: nGC_7766 = 500
  integer, parameter :: nGC_7058 = 501
  integer, parameter :: nGC_7057 = 502
  integer, parameter :: nGC_3348 = 503
  integer, parameter :: nGC_3349 = 504
  integer, parameter :: nGC_3344 = 505
  integer, parameter :: nGC_3345 = 506
  integer, parameter :: nGC_3346 = 507
  integer, parameter :: nGC_3347 = 508
  integer, parameter :: nGC_3340 = 509
  integer, parameter :: nGC_3341 = 510
  integer, parameter :: nGC_3342 = 511
  integer, parameter :: nGC_6193 = 512
  integer, parameter :: nGC_6943 = 513
  integer, parameter :: nGC_6942 = 514
  integer, parameter :: nGC_6196 = 515
  integer, parameter :: nGC_6944 = 516
  integer, parameter :: nGC_3258 = 517
  integer, parameter :: nGC_4837 = 518
  integer, parameter :: nGC_4836 = 519
  integer, parameter :: nGC_4938 = 520
  integer, parameter :: nGC_4935 = 521
  integer, parameter :: nGC_3461 = 522
  integer, parameter :: nGC_3460 = 523
  integer, parameter :: nGC_3319 = 524
  integer, parameter :: nGC_3251 = 525
  integer, parameter :: nGC_5163 = 526
  integer, parameter :: nGC_5161 = 527
  integer, parameter :: nGC_3263 = 528
  integer, parameter :: nGC_3262 = 529
  integer, parameter :: nGC_3261 = 530
  integer, parameter :: nGC_3260 = 531
  integer, parameter :: nGC_3267 = 532
  integer, parameter :: nGC_3254 = 533
  integer, parameter :: nGC_5716 = 534
  integer, parameter :: nGC_3269 = 535
  integer, parameter :: nGC_3268 = 536
  integer, parameter :: nGC_5304 = 537
  integer, parameter :: nGC_6377 = 538
  integer, parameter :: nGC_8455 = 539
  integer, parameter :: nGC_4745 = 540
  integer, parameter :: nGC_4741 = 541
  integer, parameter :: nGC_4740 = 542
  integer, parameter :: nGC_4742 = 543
  integer, parameter :: nGC_4884 = 544
  integer, parameter :: nGC_192 = 545
  integer, parameter :: nGC_198 = 546
  integer, parameter :: nGC_6537 = 547
  integer, parameter :: nGC_5372 = 548
  integer, parameter :: nGC_7092 = 549
  integer, parameter :: nGC_6712 = 550
  integer, parameter :: nGC_4972 = 551
  integer, parameter :: nGC_4973 = 552
  integer, parameter :: nGC_4974 = 553
  integer, parameter :: nGC_4978 = 554
  integer, parameter :: nGC_4879 = 555
  integer, parameter :: nGC_4878 = 556
  integer, parameter :: nGC_4872 = 557
  integer, parameter :: nGC_4871 = 558
  integer, parameter :: nGC_4875 = 559
  integer, parameter :: nGC_3238 = 560
  integer, parameter :: nGC_3239 = 561
  integer, parameter :: nGC_6243 = 562
  integer, parameter :: nGC_3237 = 563
  integer, parameter :: nGC_5126 = 564
  integer, parameter :: nGC_5125 = 565
  integer, parameter :: nGC_5080 = 566
  integer, parameter :: nGC_5083 = 567
  integer, parameter :: nGC_5085 = 568
  integer, parameter :: nGC_5087 = 569
  integer, parameter :: nGC_5086 = 570
  integer, parameter :: nGC_3300 = 571
  integer, parameter :: nGC_3301 = 572
  integer, parameter :: nGC_4904 = 573
  integer, parameter :: nGC_3304 = 574
  integer, parameter :: nGC_3307 = 575
  integer, parameter :: nGC_3308 = 576
  integer, parameter :: nGC_3309 = 577
  integer, parameter :: nGC_4909 = 578
  integer, parameter :: nGC_3436 = 579
  integer, parameter :: nGC_3437 = 580
  integer, parameter :: nGC_3432 = 581
  integer, parameter :: nGC_3433 = 582
  integer, parameter :: nGC_3430 = 583
  integer, parameter :: nGC_3431 = 584
  integer, parameter :: nGC_3438 = 585
  integer, parameter :: nGC_3439 = 586
  integer, parameter :: nGC_3281 = 587
  integer, parameter :: nGC_3280 = 588
  integer, parameter :: nGC_3283 = 589
  integer, parameter :: nGC_3282 = 590
  integer, parameter :: nGC_3285 = 591
  integer, parameter :: nGC_3284 = 592
  integer, parameter :: nGC_3287 = 593
  integer, parameter :: nGC_3286 = 594
  integer, parameter :: nGC_3288 = 595
  integer, parameter :: nGC_7280 = 596
  integer, parameter :: nGC_5157 = 597
  integer, parameter :: nGC_5154 = 598
  integer, parameter :: nGC_5621 = 599
  integer, parameter :: nGC_5622 = 600
  integer, parameter :: nGC_5290 = 601
  integer, parameter :: nGC_5336 = 602
  integer, parameter :: nGC_5335 = 603
  integer, parameter :: nGC_5334 = 604
  integer, parameter :: nGC_5293 = 605
  integer, parameter :: nGC_6349 = 606
  integer, parameter :: nGC_6348 = 607
  integer, parameter :: nGC_5524 = 608
  integer, parameter :: nGC_5489 = 609
  integer, parameter :: nGC_5523 = 610
  integer, parameter :: nGC_7061 = 611
  integer, parameter :: nGC_7060 = 612
  integer, parameter :: nGC_7107 = 613
  integer, parameter :: nGC_7104 = 614
  integer, parameter :: nGC_7105 = 615
  integer, parameter :: nGC_3379 = 616
  integer, parameter :: nGC_3378 = 617
  integer, parameter :: nGC_3370 = 618
  integer, parameter :: nGC_3372 = 619
  integer, parameter :: nGC_3375 = 620
  integer, parameter :: nGC_3374 = 621
  integer, parameter :: nGC_3377 = 622
  integer, parameter :: nGC_3376 = 623
  integer, parameter :: nGC_5412 = 624
  integer, parameter :: nGC_5411 = 625
  integer, parameter :: nGC_4825 = 626
  integer, parameter :: nGC_4826 = 627
  integer, parameter :: nGC_4827 = 628
  integer, parameter :: nGC_9218 = 629
  integer, parameter :: nGC_4822 = 630
  integer, parameter :: nGC_4942 = 631
  integer, parameter :: nGC_4828 = 632
  integer, parameter :: nGC_3478 = 633
  integer, parameter :: nGC_3476 = 634
  integer, parameter :: nGC_3477 = 635
  integer, parameter :: nGC_5051 = 636
  integer, parameter :: nGC_5055 = 637
  integer, parameter :: nGC_3270 = 638
  integer, parameter :: nGC_5466 = 639
  integer, parameter :: nGC_3272 = 640
  integer, parameter :: nGC_3273 = 641
  integer, parameter :: nGC_3274 = 642
  integer, parameter :: nGC_5462 = 643
  integer, parameter :: nGC_3362 = 644
  integer, parameter :: nGC_5471 = 645
  integer, parameter :: nGC_4728 = 646
  integer, parameter :: nGC_3249 = 647
  integer, parameter :: nGC_9127 = 648
  integer, parameter :: nGC_3405 = 649
  integer, parameter :: nGC_3404 = 650
  integer, parameter :: nGC_3403 = 651
  integer, parameter :: nGC_3402 = 652
  integer, parameter :: nGC_3248 = 653
  integer, parameter :: nGC_6380 = 654
  integer, parameter :: nGC_4752 = 655
  integer, parameter :: nGC_5202 = 656
  integer, parameter :: nGC_5209 = 657
  integer, parameter :: nGC_5564 = 658
  integer, parameter :: nGC_5369 = 659
  integer, parameter :: nGC_5587 = 660
  integer, parameter :: nGC_6914 = 661
  integer, parameter :: nGC_6915 = 662
  integer, parameter :: nGC_6640 = 663
  integer, parameter :: nGC_4983 = 664
  integer, parameter :: nGC_5298 = 665
  integer, parameter :: nGC_5299 = 666
  integer, parameter :: nGC_4860 = 667
  integer, parameter :: nGC_4863 = 668
  integer, parameter :: nGC_5093 = 669
  integer, parameter :: nGC_5586 = 670
  integer, parameter :: nGC_4917 = 671
  integer, parameter :: nGC_3331 = 672
  integer, parameter :: nGC_3330 = 673
  integer, parameter :: nGC_3332 = 674
  integer, parameter :: nGC_3442 = 675
  integer, parameter :: nGC_3298 = 676
  integer, parameter :: nGC_3299 = 677
  integer, parameter :: nGC_3296 = 678
  integer, parameter :: nGC_3297 = 679
  integer, parameter :: nGC_3294 = 680
  integer, parameter :: nGC_3295 = 681
  integer, parameter :: nGC_3292 = 682
  integer, parameter :: nGC_3293 = 683
  integer, parameter :: nGC_3290 = 684
  integer, parameter :: nGC_3291 = 685
  integer, parameter :: nGC_5060 = 686
  integer, parameter :: nGC_5067 = 687
  integer, parameter :: nGC_9456 = 688
  integer, parameter :: nGC_4762 = 689
  integer, parameter :: nGC_4760 = 690
  integer, parameter :: nGC_9428 = 691
  integer, parameter :: nGC_5256 = 692
  integer, parameter :: nGC_7276 = 693
  integer, parameter :: nGC_5194 = 694
  integer, parameter :: nGC_6079 = 695
  integer, parameter :: nGC_6076 = 696
  integer, parameter :: nGC_4810 = 697
  integer, parameter :: nGC_4816 = 698
  integer, parameter :: nGC_4950 = 699
  integer, parameter :: nGC_4818 = 700
  integer, parameter :: nGC_4956 = 701
  integer, parameter :: nGC_4957 = 702
  integer, parameter :: nGC_5103 = 703
  integer, parameter :: nGC_3364 = 704
  integer, parameter :: nGC_3363 = 705
  integer, parameter :: nGC_3360 = 706
  integer, parameter :: nGC_3361 = 707
  integer, parameter :: nGC_3244 = 708
  integer, parameter :: nGC_3247 = 709
  integer, parameter :: nGC_3240 = 710
  integer, parameter :: nGC_3243 = 711
  integer, parameter :: nGC_3369 = 712
  integer, parameter :: nGC_4733 = 713
  integer, parameter :: nGC_3418 = 714
  integer, parameter :: nGC_3419 = 715
  integer, parameter :: nGC_7910 = 716
  integer, parameter :: nGC_3410 = 717
  integer, parameter :: nGC_3411 = 718
  integer, parameter :: nGC_3412 = 719
  integer, parameter :: nGC_3271 = 720
  integer, parameter :: nGC_5464 = 721
  integer, parameter :: nGC_5958 = 722
  integer, parameter :: nGC_5954 = 723
  integer, parameter :: nGC_4782 = 724
  integer, parameter :: nGC_5214 = 725
  integer, parameter :: nGC_4787 = 726
  integer, parameter :: nGC_3279 = 727
  integer, parameter :: nGC_6456 = 728
  integer, parameter :: nGC_6637 = 729
  integer, parameter :: nGC_4999 = 730
  integer, parameter :: nGC_4853 = 731
  integer, parameter :: nGC_5505 = 732
  integer, parameter :: nGC_5506 = 733
  integer, parameter :: nGC_3302 = 734
  integer, parameter :: nGC_3303 = 735
  integer, parameter :: nGC_3305 = 736
  integer, parameter :: nGC_5591 = 737
  integer, parameter :: nGC_3354 = 738
  integer, parameter :: nGC_3353 = 739
  integer, parameter :: nGC_3352 = 740
  integer, parameter :: nGC_3306 = 741
  integer, parameter :: nGC_4926 = 742
  integer, parameter :: nGC_3322 = 743
  integer, parameter :: nGC_3323 = 744
  integer, parameter :: nGC_3450 = 745
  integer, parameter :: nGC_3451 = 746
  integer, parameter :: nGC_3454 = 747
  integer, parameter :: nGC_3455 = 748
  integer, parameter :: nGC_3457 = 749
  integer, parameter :: nGC_6893 = 750
  integer, parameter :: nGC_9116 = 751
  integer, parameter :: nGC_5641 = 752
  integer, parameter :: nGC_5317 = 753
  integer, parameter :: nGC_6352 = 754
  integer, parameter :: nGC_4776 = 755
  integer, parameter :: nGC_4777 = 756
  integer, parameter :: nGC_4778 = 757
  integer, parameter :: nGC_5545 = 758
  integer, parameter :: nGC_5546 = 759
  integer, parameter :: nGC_8689 = 760
  integer, parameter :: nGC_4894 = 761
  integer, parameter :: nGC_4897 = 762
  integer, parameter :: nGC_5856 = 763
  integer, parameter :: nGC_9236 = 764
  integer, parameter :: nGC_4967 = 765
  integer, parameter :: nGC_9231 = 766
  integer, parameter :: nGC_4802 = 767
  integer, parameter :: nGC_4803 = 768
  integer, parameter :: nGC_5094 = 769
  integer, parameter :: nGC_5095 = 770
  integer, parameter :: nGC_5195 = 771
  integer, parameter :: nGC_4817 = 772
  integer, parameter :: nGC_4734 = 773
  integer, parameter :: nGC_4735 = 774
  integer, parameter :: nGC_5943 = 775
  integer, parameter :: nGC_5346 = 776
  integer, parameter :: nGC_5056 = 777
  integer, parameter :: nGC_5488 = 778
  integer, parameter :: nGC_4798 = 779
  integer, parameter :: nGC_4797 = 780
  integer, parameter :: nGC_5300 = 781
  integer, parameter :: nGC_5139 = 782
  integer, parameter :: nGC_5959 = 783
  integer, parameter :: nGC_4854 = 784
  integer, parameter :: nGC_4769 = 785
  integer, parameter :: nGC_6440 = 786
  integer, parameter :: nGC_6441 = 787
  integer, parameter :: nGC_9198 = 788
  integer, parameter :: nGC_7281 = 789
  integer, parameter :: nGC_5245 = 790
  integer, parameter :: nGC_5244 = 791
  integer, parameter :: nGC_9190 = 792
  integer, parameter :: nGC_7108 = 793
  integer, parameter :: nGC_5642 = 794
  integer, parameter :: nGC_4934 = 795
  integer, parameter :: nGC_4746 = 796
  integer, parameter :: nGC_4918 = 797
  integer, parameter :: nGC_9155 = 798
  integer, parameter :: nGC_4901 = 799
  integer, parameter :: nGC_4729 = 800
  integer, parameter :: nGC_5413 = 801
  integer, parameter :: nGC_5088 = 802
  integer, parameter :: nGC_5337 = 803
  integer, parameter :: nGC_4747 = 804
  integer, parameter :: nGC_5538 = 805
  integer, parameter :: nGC_4953 = 806
  integer, parameter :: nGC_5259 = 807
  integer, parameter :: nGC_5007 = 808
  integer, parameter :: nGC_5063 = 809
  integer, parameter :: nGC_5164 = 810
  integer, parameter :: nGC_5162 = 811
  integer, parameter :: nGC_4946 = 812
  integer, parameter :: nGC_4905 = 813
  integer, parameter :: nGC_4759 = 814
  integer, parameter :: nGC_5470 = 815
  integer, parameter :: nGC_5592 = 816
  integer, parameter :: nGC_5717 = 817
  integer, parameter :: nGC_4829 = 818
  integer, parameter :: nGC_5165 = 819
  integer, parameter :: nGC_5064 = 820
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
