!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-18 22:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3381) = coupl(nGC_3229)*dZee_QED2
      coupl(nGC_3421) = -cima*dye_QED1
      coupl(nGC_3423) = -cima*dym_QED1
      coupl(nGC_3422) = -cima*dym_QED3
      coupl(nGC_3425) = -cima*dytau_QED1
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_3343) = coupl(nGC_3223)*dZee_QED2 + coupl(nGC_3224)*dsw_QED2
      coupl(nGC_3310) = 5d0*cima*coupl(nGC_23)**4d0*(-Nc - 1d0)/(8d0*pi**2d0)
      coupl(nGC_3469) = -cima*dMC
      coupl(nGC_3468) = -cima*dMU
      coupl(nGC_3465) = -cima*dME
      coupl(nGC_3467) = -cima*dMTA
      coupl(nGC_3466) = -cima*dMM
      coupl(nGC_3463) = -cima*dMH2_QED2
      coupl(nGC_5047) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_6539) = coupl(nGC_4)*dZtauMinusR
      coupl(nGC_3420) = -cima*dye_QED3
      coupl(nGC_3424) = -cima*dytau_QED3
      coupl(nGC_4876) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_5124) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_5084) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_3434) = coupl(nGC_3222)*dytau_QED3
      coupl(nGC_3435) = coupl(nGC_3222)*dytau_QED1
      coupl(nGC_3289) = cima*(Nc*coupl(nGC_1)**4d0 + Nc*coupl(nGC_2)**4d0 +    &
                        coupl(nGC_4)**4d0)/(4d0*pi**2d0)
      coupl(nGC_5019) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_5158) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_5727) = coupl(nGC_2)*dZuR
      coupl(nGC_3371) = coupl(nGC_3186)*dZee_QED2 + coupl(nGC_3187)*dsw_QED2 + &
                        coupl(nGC_3188)*dcw_QED2
      coupl(nGC_3373) = coupl(nGC_3134)*dZee_QED2 + coupl(nGC_3135)*dcw_QED2
      coupl(nGC_5795) = coupl(nGC_1)*dZbL
      coupl(nGC_5729) = coupl(nGC_2)*dZuL
      coupl(nGC_3472) = -cima*dMS
      coupl(nGC_3473) = -cima*dMB
      coupl(nGC_3470) = -cima*dMT
      coupl(nGC_3471) = -cima*dMD
      coupl(nGC_3474) = cima*dMZ2_QED2
      coupl(nGC_5225) = coupl(nGC_23)*(dZcL + dZsL)/2d0
      coupl(nGC_5112) = coupl(nGC_11)*dZtR
      coupl(nGC_5465) = coupl(nGC_1)*dZdL
      coupl(nGC_5463) = coupl(nGC_1)*dZdR
      coupl(nGC_3276) = -coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
      coupl(nGC_3278) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_1)**2d0 + 3d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_2) - Nc*coupl(nGC_2)**2d0 -    &
                        coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_5469) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3381)
      coupl(nGC_3409) = coupl(nGC_3132)*dys_QED1
      coupl(nGC_3408) = coupl(nGC_3132)*dys_QED3
      coupl(nGC_3407) = coupl(nGC_3150)*dys_QED1
      coupl(nGC_3406) = coupl(nGC_3150)*dys_QED3
      coupl(nGC_3401) = -cima*dyb_QED1
      coupl(nGC_3400) = -cima*dyb_QED3
      coupl(nGC_5027) = coupl(nGC_2)*dZtL
      coupl(nGC_5025) = coupl(nGC_2)*dZtR
      coupl(nGC_5021) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_3368) = coupl(nGC_3220)*dZee_QED2 + coupl(nGC_3221)*dsw_QED2
      coupl(nGC_5365) = coupl(nGC_3425) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl( &
                        nGC_81)*dZtauMinusR/2d0
      coupl(nGC_5930) = coupl(nGC_11)*dZbR
      coupl(nGC_5799) = coupl(nGC_1)*dZbR
      coupl(nGC_5292) = coupl(nGC_MI)*dZtR
      coupl(nGC_3440) = coupl(nGC_3130)*dym_QED3
      coupl(nGC_3447) = coupl(nGC_3151)*dyup_QED1
      coupl(nGC_3446) = coupl(nGC_3151)*dyup_QED3
      coupl(nGC_3417) = coupl(nGC_3131)*dys_QED1
      coupl(nGC_9172) = -3d0*coupl(nGC_3310)/5d0
      coupl(nGC_3441) = coupl(nGC_3130)*dym_QED1
      coupl(nGC_3444) = coupl(nGC_3230)*dyup_QED3
      coupl(nGC_3339) = coupl(nGC_3160)*dZgs_QCD2
      coupl(nGC_3338) = coupl(nGC_3139)*dZgs_QCD2
      coupl(nGC_4912) = coupl(nGC_23)*(dZnu_tauL + dZtauMinusL)/2d0
      coupl(nGC_3335) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc)
      coupl(nGC_3334) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3337) = 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
      coupl(nGC_3336) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
      coupl(nGC_3333) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3445) = coupl(nGC_3230)*dyup_QED1
      coupl(nGC_3449) = coupl(nGC_3112)*dyc_QED1
      coupl(nGC_3448) = coupl(nGC_3112)*dyc_QED3
      coupl(nGC_4971) = coupl(nGC_29)*dZZA_QED2
      coupl(nGC_5069) = coupl(nGC_11)*dZdL
      coupl(nGC_5068) = coupl(nGC_11)*dZdR
      coupl(nGC_5733) = coupl(nGC_1)*dZsR
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_7182) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_7181) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_5289) = coupl(nGC_MI)*dZtL
      coupl(nGC_4761) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_4765) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 + &
                        coupl(nGC_3368)
      coupl(nGC_5307) = coupl(nGC_40)*dZtauMinusL
      coupl(nGC_6351) = coupl(nGC_MI)*dZsR
      coupl(nGC_3475) = cima*dMW2_QED2
      coupl(nGC_5258) = coupl(nGC_MI)*dZdR
      coupl(nGC_5255) = coupl(nGC_MI)*dZdL
      coupl(nGC_8054) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_8057) = coupl(nGC_3474) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_8058) = -coupl(nGC_8054)
      coupl(nGC_6078) = coupl(nGC_MI)*dZbR
      coupl(nGC_6077) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_4815) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_4819) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_4954) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_4955) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_5731) = coupl(nGC_1)*dZsL
      coupl(nGC_3399) = cima*dyt_QED1
      coupl(nGC_3398) = cima*dyt_QED3
      coupl(nGC_3393) = cima*dyup_QED1
      coupl(nGC_3392) = cima*dyup_QED3
      coupl(nGC_3391) = -cima*dydo_QED1
      coupl(nGC_3390) = -cima*dydo_QED3
      coupl(nGC_3397) = -cima*dys_QED1
      coupl(nGC_3396) = -cima*dys_QED3
      coupl(nGC_3395) = cima*dyc_QED1
      coupl(nGC_3394) = cima*dyc_QED3
      coupl(nGC_5109) = coupl(nGC_11)*dZtL
      coupl(nGC_3366) = coupl(nGC_3154)*dZee_QED2 + coupl(nGC_3155)*dsw_QED2
      coupl(nGC_3367) = coupl(nGC_3225)*dZee_QED2 + coupl(nGC_3226)*dsw_QED2
      coupl(nGC_3365) = coupl(nGC_3227)*dZee_QED2 + coupl(nGC_3228)*dsw_QED2
      coupl(nGC_3245) = cima*(-Nc*coupl(nGC_1)**2d0 - Nc*coupl(nGC_2)**2d0 -   &
                        coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3246) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl&
                        (nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**&
                        2d0*coupl(nGC_1)**2d0 + Nc*cMT**2d0*coupl(nGC_2)**2d0  &
                         + Nc*cMU**2d0*coupl(nGC_2)**2d0 + cME**2d0*coupl(nGC_4&
                        )**2d0 + cMM**2d0*coupl(nGC_4)**2d0 + cMTA**2d0*coupl( &
                        nGC_4)**2d0)/(4d0*pi**2d0)
      coupl(nGC_3241) = cima*coupl(nGC_23)**2d0*(-Nc - 1d0)/(16d0*pi**2d0)
      coupl(nGC_3242) = cima*coupl(nGC_23)**2d0*(Nc*cMB**2d0 + Nc*cMC**2d0 + Nc&
                        *cMD**2d0 + Nc*cMS**2d0 + Nc*cMT**2d0 + Nc*cMU**2d0 +  &
                        cME**2d0 + cMM**2d0 + cMTA**2d0)/(16d0*pi**2d0)
      coupl(nGC_4738) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3368)
      coupl(nGC_4739) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_4732) = coupl(nGC_29)*dZAZ_QED2
      coupl(nGC_3414) = coupl(nGC_3114)*dydo_QED3
      coupl(nGC_3416) = coupl(nGC_3131)*dys_QED3
      coupl(nGC_5604) = coupl(nGC_11)*dZcL
      coupl(nGC_3275) = coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
      coupl(nGC_5603) = coupl(nGC_11)*dZcR
      coupl(nGC_4781) = coupl(nGC_41)*dZnu_tauL
      coupl(nGC_4877) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_5929) = coupl(nGC_11)*dZbL
      coupl(nGC_3277) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_1)**2d0 - 5d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_2) + 3d0*Nc*coupl(nGC_2)**  &
                        2d0 + 3d0*coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3415) = coupl(nGC_3114)*dydo_QED1
      coupl(nGC_5501) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3339)
      coupl(nGC_5502) = -2d0*coupl(nGC_5501)
      coupl(nGC_5265) = coupl(nGC_23)*(dZmuMinusL + dZnu_muL)/2d0
      coupl(nGC_3359) = coupl(nGC_3092)*dlam_QED4 + coupl(nGC_3093)*dvev_QED1
      coupl(nGC_3358) = coupl(nGC_3095)*dlam_QED4 + coupl(nGC_3096)*dvev_QED1
      coupl(nGC_3357) = -cima*dlam_QED4
      coupl(nGC_3356) = coupl(nGC_3182)*dlam_QED4
      coupl(nGC_3355) = coupl(nGC_3133)*dlam_QED4
      coupl(nGC_3443) = coupl(nGC_3140)*dytau_QED1
      coupl(nGC_3351) = coupl(nGC_3147)*dZee_QED2 + coupl(nGC_3148)*dsw_QED2 + &
                        coupl(nGC_3149)*dcw_QED2
      coupl(nGC_3350) = coupl(nGC_3205)*dsw_QED2 + coupl(nGC_3206)*dMW2_QED2 + &
                        coupl(nGC_3207)*dZee_QED2 + coupl(nGC_3208)*dcw_QED2
      coupl(nGC_6974) = coupl(nGC_MC)*(dZcL + dZcR)/2d0
      coupl(nGC_6976) = coupl(nGC_MI)*dZcR
      coupl(nGC_6977) = coupl(nGC_3469) + coupl(nGC_6974)
      coupl(nGC_6973) = coupl(nGC_MI)*dZcL
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_3328) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_3329) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_4925) = coupl(nGC_11)*dZuR
      coupl(nGC_4924) = coupl(nGC_11)*dZuL
      coupl(nGC_3320) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*   &
                        coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_3321) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*   &
                        coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0)
      coupl(nGC_3326) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 + &
                        coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3327) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_3324) = cima*(Nc*coupl(nGC_34)**4d0 + Nc*coupl(nGC_35)**4d0 +  &
                        Nc*coupl(nGC_38)**4d0 + Nc*coupl(nGC_39)**4d0 + coupl( &
                        nGC_36)**4d0 + coupl(nGC_40)**4d0 + coupl(nGC_41)**4d0 &
                        )/(8d0*pi**2d0)
      coupl(nGC_3325) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0  &
                         - coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(    &
                        nGC_39)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3452) = coupl(nGC_3138)*dyt_QED3
      coupl(nGC_3453) = coupl(nGC_3138)*dyt_QED1
      coupl(nGC_3456) = coupl(nGC_3231)*dyup_QED3
      coupl(nGC_3458) = coupl(nGC_3111)*dyc_QED3
      coupl(nGC_3459) = coupl(nGC_3111)*dyc_QED1
      coupl(nGC_5177) = coupl(nGC_11)*dZsL
      coupl(nGC_5176) = coupl(nGC_23)*(dZbL + dZtL)/2d0
      coupl(nGC_5178) = coupl(nGC_11)*dZsR
      coupl(nGC_3413) = coupl(nGC_3108)*dyb_QED1
      coupl(nGC_4772) = coupl(nGC_2)*dZcR
      coupl(nGC_4773) = coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_4774) = coupl(nGC_2)*dZcL
      coupl(nGC_4775) = coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_9023) = -3d0*coupl(nGC_3336)/5d0
      coupl(nGC_9026) = -5d0*coupl(nGC_3337)/3d0
      coupl(nGC_4893) = coupl(nGC_23)*(dZeMinusL + dZnu_eL)/2d0
      coupl(nGC_9430) = -coupl(nGC_3276)
      coupl(nGC_5213) = coupl(nGC_3416) + coupl(nGC_75)*dZH_QED2/2d0
      coupl(nGC_5853) = coupl(nGC_MI)*dZuL
      coupl(nGC_5854) = coupl(nGC_MU)*(dZuL + dZuR)/2d0
      coupl(nGC_5855) = coupl(nGC_MI)*dZuR
      coupl(nGC_4966) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_4806) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3343)
      coupl(nGC_4807) = -2d0*coupl(nGC_4806)
      coupl(nGC_3388) = coupl(nGC_3198)*dZee_QED2 + coupl(nGC_3199)*dsw_QED2 + &
                        coupl(nGC_3200)*dcw_QED2
      coupl(nGC_3389) = coupl(nGC_3183)*dZee_QED2 + coupl(nGC_3184)*dsw_QED2 + &
                        coupl(nGC_3185)*dcw_QED2
      coupl(nGC_7542) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_7543) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_3380) = coupl(nGC_3122)*dZee_QED2
      coupl(nGC_3382) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_3383) = coupl(nGC_3152)*dZee_QED2 + coupl(nGC_3153)*dsw_QED2
      coupl(nGC_3384) = coupl(nGC_3176)*dZee_QED2 + coupl(nGC_3177)*dsw_QED2 + &
                        coupl(nGC_3178)*dcw_QED2
      coupl(nGC_3385) = coupl(nGC_3192)*dZee_QED2 + coupl(nGC_3193)*dsw_QED2 + &
                        coupl(nGC_3194)*dcw_QED2
      coupl(nGC_3386) = coupl(nGC_3189)*dZee_QED2 + coupl(nGC_3190)*dsw_QED2 + &
                        coupl(nGC_3191)*dcw_QED2
      coupl(nGC_3387) = coupl(nGC_3179)*dZee_QED2 + coupl(nGC_3180)*dsw_QED2 + &
                        coupl(nGC_3181)*dcw_QED2
      coupl(nGC_3313) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 -  &
                        4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 - 4d0*Nc* &
                        coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 + 5d0*Nc*coupl(  &
                        nGC_34)*coupl(nGC_38)*coupl(nGC_55)**2d0 + 5d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_38)*coupl(nGC_63)**2d0 + 5d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 4d0*Nc&
                        *coupl(nGC_35)**2d0*coupl(nGC_59)**2d0 - 4d0*Nc*coupl( &
                        nGC_35)**2d0*coupl(nGC_79)**2d0 - 4d0*Nc*coupl(nGC_35  &
                        )**2d0*coupl(nGC_87)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl(&
                        nGC_39)*coupl(nGC_59)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl&
                        (nGC_39)*coupl(nGC_79)**2d0 + 5d0*Nc*coupl(nGC_35)*    &
                        coupl(nGC_39)*coupl(nGC_87)**2d0 - 4d0*Nc*coupl(nGC_38 &
                        )**2d0*coupl(nGC_55)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0* &
                        coupl(nGC_63)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(  &
                        nGC_75)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_59  &
                        )**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_79)**2d0  &
                         - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 - 4d0* &
                        coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 4d0*coupl(     &
                        nGC_36)**2d0*coupl(nGC_71)**2d0 - 4d0*coupl(nGC_36)**  &
                        2d0*coupl(nGC_83)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_40&
                        )*coupl(nGC_67)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_40)*&
                        coupl(nGC_71)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_40)*  &
                        coupl(nGC_83)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl(     &
                        nGC_67)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl(nGC_71)**  &
                        2d0 - 4d0*coupl(nGC_40)**2d0*coupl(nGC_83)**2d0)/(12d0*&
                        pi**2d0)
      coupl(nGC_3312) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3311) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3259) = (-Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - Nc*cMC*coupl&
                        (nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)**2d0* &
                        coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*coupl(nGC_75  &
                        ) - Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_2)**2d0*coupl(nGC_87) - cME*coupl(nGC_4)**2d0&
                        *coupl(nGC_67) - cMM*coupl(nGC_4)**2d0*coupl(nGC_71) - &
                        cMTA*coupl(nGC_4)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
      coupl(nGC_3317) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3316) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_3315) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_38)**2d0 + 3d0* &
                        Nc*coupl(nGC_38)*coupl(nGC_39) - Nc*coupl(nGC_39)**2d0 &
                         - coupl(nGC_40)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_41 &
                        ) - coupl(nGC_41)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3314) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_38)**2d0 -   &
                        5d0*Nc*coupl(nGC_38)*coupl(nGC_39) + 3d0*Nc*coupl(     &
                        nGC_39)**2d0 + 3d0*coupl(nGC_40)**2d0 - 5d0*coupl(     &
                        nGC_40)*coupl(nGC_41) + 3d0*coupl(nGC_41)**2d0)/(8d0*pi&
                        **2d0)
      coupl(nGC_3252) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_3253) = -cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0)
      coupl(nGC_3250) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*    &
                        coupl(nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 +  &
                        Nc*cMC**2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(    &
                        nGC_34)**2d0 + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS &
                        **2d0*coupl(nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)** &
                        2d0 + Nc*cMT**2d0*coupl(nGC_35)**2d0 + Nc*cMT**2d0*    &
                        coupl(nGC_39)**2d0 + Nc*cMU**2d0*coupl(nGC_35)**2d0 +  &
                        Nc*cMU**2d0*coupl(nGC_39)**2d0 + cME**2d0*coupl(nGC_36 &
                        )**2d0 + cME**2d0*coupl(nGC_40)**2d0 + cMM**2d0*coupl( &
                        nGC_36)**2d0 + cMM**2d0*coupl(nGC_40)**2d0 + cMTA**2d0*&
                        coupl(nGC_36)**2d0 + cMTA**2d0*coupl(nGC_40)**2d0)/(8d0&
                        *pi**2d0)
      coupl(nGC_3318) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl( &
                        nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(   &
                        nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0*Nc)
      coupl(nGC_3256) = Nc*coupl(nGC_23)*(-cMB*coupl(nGC_2)*coupl(nGC_53) - cMC&
                        *coupl(nGC_1)*coupl(nGC_57) - cMD*coupl(nGC_2)*coupl(  &
                        nGC_61) - cMS*coupl(nGC_2)*coupl(nGC_73) - cMT*coupl(  &
                        nGC_1)*coupl(nGC_77) - cMU*coupl(nGC_1)*coupl(nGC_85   &
                        ))/(16d0*pi**2d0)
      coupl(nGC_3257) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_1) - Nc*coupl(nGC_2   &
                        ) + coupl(nGC_4))/(8d0*pi**2d0)
      coupl(nGC_3255) = (Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_1)* &
                        coupl(nGC_57)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_61)**2d0&
                         + Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_1 &
                        )*coupl(nGC_77)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_85)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_53)**2d0 - Nc*coupl(   &
                        nGC_2)*coupl(nGC_57)**2d0 - Nc*coupl(nGC_2)*coupl(     &
                        nGC_61)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - Nc*&
                        coupl(nGC_2)*coupl(nGC_77)**2d0 - Nc*coupl(nGC_2)*coupl&
                        (nGC_85)**2d0 + coupl(nGC_4)*coupl(nGC_65)**2d0 + coupl&
                        (nGC_4)*coupl(nGC_69)**2d0 + coupl(nGC_4)*coupl(nGC_81 &
                        )**2d0)/(24d0*pi**2d0)
      coupl(nGC_7906) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_7909) = coupl(nGC_3475) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_3429) = coupl(nGC_3232)*dye_QED1
      coupl(nGC_3428) = coupl(nGC_3232)*dye_QED3
      coupl(nGC_3427) = coupl(nGC_3094)*dye_QED1
      coupl(nGC_3426) = coupl(nGC_3094)*dye_QED3
      coupl(nGC_5000) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_5003) = coupl(nGC_23)*(dZdL + dZuL)/2d0
      coupl(nGC_5006) = coupl(nGC_3371) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(  &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_4796) = coupl(nGC_55)*(dZbL + dZbR)/2d0
      coupl(nGC_4790) = coupl(nGC_3356) + coupl(nGC_HHGG)
      coupl(nGC_8009) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3355) + coupl(  &
                        nGC_HHHH)
      coupl(nGC_5138) = coupl(nGC_3453) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80&
                        )*dZtR/2d0
      coupl(nGC_3266) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_55) - Nc*    &
                        coupl(nGC_57)*coupl(nGC_59) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_63) + Nc*coupl(nGC_73)*coupl(nGC_75) - Nc*coupl(   &
                        nGC_77)*coupl(nGC_79) - Nc*coupl(nGC_85)*coupl(nGC_87  &
                        ) + coupl(nGC_65)*coupl(nGC_67) + coupl(nGC_69)*coupl( &
                        nGC_71) + coupl(nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
      coupl(nGC_3265) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_56) - Nc*    &
                        coupl(nGC_57)*coupl(nGC_60) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_64) + Nc*coupl(nGC_73)*coupl(nGC_76) - Nc*coupl(   &
                        nGC_77)*coupl(nGC_80) - Nc*coupl(nGC_85)*coupl(nGC_88  &
                        ) + coupl(nGC_65)*coupl(nGC_68) + coupl(nGC_69)*coupl( &
                        nGC_72) + coupl(nGC_81)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3264) = coupl(nGC_23)*(Nc*cMB*coupl(nGC_34)*coupl(nGC_53) - Nc*&
                        cMB*coupl(nGC_38)*coupl(nGC_53) - Nc*cMB*coupl(nGC_39)*&
                        coupl(nGC_53) + Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc&
                        *cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39 &
                        )*coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - &
                        Nc*cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(     &
                        nGC_39)*coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(    &
                        nGC_73) - Nc*cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS* &
                        coupl(nGC_39)*coupl(nGC_73) + Nc*cMT*coupl(nGC_35)*    &
                        coupl(nGC_77) - Nc*cMT*coupl(nGC_38)*coupl(nGC_77) - Nc&
                        *cMT*coupl(nGC_39)*coupl(nGC_77) + Nc*cMU*coupl(nGC_35 &
                        )*coupl(nGC_85) - Nc*cMU*coupl(nGC_38)*coupl(nGC_85) - &
                        Nc*cMU*coupl(nGC_39)*coupl(nGC_85) + cME*coupl(nGC_36)*&
                        coupl(nGC_65) - cME*coupl(nGC_40)*coupl(nGC_65) - cME* &
                        coupl(nGC_41)*coupl(nGC_65) + cMM*coupl(nGC_36)*coupl( &
                        nGC_69) - cMM*coupl(nGC_40)*coupl(nGC_69) - cMM*coupl( &
                        nGC_41)*coupl(nGC_69) + cMTA*coupl(nGC_36)*coupl(nGC_81&
                        ) - cMTA*coupl(nGC_40)*coupl(nGC_81) - cMTA*coupl(     &
                        nGC_41)*coupl(nGC_81))/(16d0*pi**2d0)
      coupl(nGC_6623) = coupl(nGC_3445) + coupl(nGC_86)*dZuL/2d0 + coupl(nGC_86&
                        )*dZuR/2d0
      coupl(nGC_6624) = coupl(nGC_3447) + coupl(nGC_88)*dZuL/2d0 + coupl(nGC_88&
                        )*dZuR/2d0
      coupl(nGC_4846) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3338)
      coupl(nGC_4847) = -coupl(nGC_4846)
      coupl(nGC_7766) = coupl(nGC_3355) + coupl(nGC_HHHH)
      coupl(nGC_7058) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_7057) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_3348) = coupl(nGC_3164)*dsw_QED2 + coupl(nGC_3165)*dMW2_QED2 + &
                        coupl(nGC_3166)*dZee_QED2
      coupl(nGC_3349) = coupl(nGC_3167)*dsw_QED2 + coupl(nGC_3168)*dMW2_QED2 + &
                        coupl(nGC_3169)*dZee_QED2
      coupl(nGC_3344) = coupl(nGC_3161)*dZee_QED2 + coupl(nGC_3162)*dsw_QED2 + &
                        coupl(nGC_3163)*dcw_QED2
      coupl(nGC_3345) = coupl(nGC_3142)*dZee_QED2 + coupl(nGC_3143)*dsw_QED2 + &
                        coupl(nGC_3144)*dcw_QED2
      coupl(nGC_3346) = coupl(nGC_3233)*dZee_QED2
      coupl(nGC_3347) = coupl(nGC_3136)*dMW2_QED2 + coupl(nGC_3137)*dZee_QED2
      coupl(nGC_3340) = coupl(nGC_3121)*dZee_QED2
      coupl(nGC_3341) = coupl(nGC_3124)*dZee_QED2
      coupl(nGC_3342) = coupl(nGC_3234)*dZee_QED2 + coupl(nGC_3235)*dsw_QED2 + &
                        coupl(nGC_3236)*dcw_QED2
      coupl(nGC_6193) = coupl(nGC_39)*dZcL
      coupl(nGC_6943) = coupl(nGC_3458) + coupl(nGC_59)*dZH_QED2/2d0
      coupl(nGC_6942) = coupl(nGC_59)*(dZcL + dZcR)/2d0
      coupl(nGC_6196) = coupl(nGC_35)*dZcR
      coupl(nGC_6944) = coupl(nGC_3459) + coupl(nGC_6942)
      coupl(nGC_3258) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - Nc*&
                        cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMC* &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*cMC*coupl&
                        (nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*coupl(    &
                        nGC_1)*coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl(nGC_1&
                        )*coupl(nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*   &
                        coupl(nGC_34)*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl&
                        (nGC_38)*coupl(nGC_75) - Nc*cMT*coupl(nGC_2)*coupl(    &
                        nGC_35)*coupl(nGC_79) - Nc*cMT*coupl(nGC_2)*coupl(     &
                        nGC_39)*coupl(nGC_79) - Nc*cMU*coupl(nGC_2)*coupl(     &
                        nGC_35)*coupl(nGC_87) - Nc*cMU*coupl(nGC_2)*coupl(     &
                        nGC_39)*coupl(nGC_87) - cME*coupl(nGC_36)*coupl(nGC_4)*&
                        coupl(nGC_67) - cME*coupl(nGC_4)*coupl(nGC_40)*coupl(  &
                        nGC_67) - cMM*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71  &
                        ) - cMM*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71) - cMTA&
                        *coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_83) - cMTA*coupl(&
                        nGC_4)*coupl(nGC_40)*coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_4837) = coupl(nGC_3395) + coupl(nGC_57)*dZcR/2d0 + coupl(nGC_57&
                        )*dZsL/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
