!******************************************************************************!
!                                                                              !
!    lcFaVF0.f90                                                               !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcFaVF0.f90                                    |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-18 22:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcFaVF0
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27
  contains
    subroutine loopFaVF0(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,     &
    riMaxOut, rankInc)
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(FaVF0)
!       GammaP(2,1,3)*c0
!       GammaM(2,1,3)*c1
        pl(:) = PL1(:) + PL2(:)
        x3 = w2(0) + w2(3)
        x12 = cima*w2(1)
        x14 = w2(0) - w2(3)
        x23 = cima*w2(2)
        do j = riMaxIn, 0, -1
          x0 = w2(1)*wl(0,j)
          x1 = w2(0)*wl(1,j) - w2(3)*wl(1,j) + x0
          x2 = w2(1)*wl(1,j)
          x4 = wl(0,j)*x3
          x5 = -w2(0)*wl(2,j) + w2(3)*wl(2,j)
          x6 = w2(1)*wl(3,j) + x5
          x7 = co(0)*(cima*x6 - w2(2)*wl(3,j))
          x8 = w2(1)*wl(2,j)
          x9 = wl(3,j)*x3
          x10 = cima*x9
          x11 = -x10
          x13 = w2(2) + x12
          x15 = wl(1,j)*x14
          x16 = co(1)*(cima*x15 + wl(0,j)*x13)
          x17 = -w2(2) + x12
          x18 = -co(1)*(cima*x4 + wl(1,j)*x17)
          x19 = -x16
          x20 = wl(2,j)*x13
          x21 = co(0)*(x11 + x20)
          x22 = co(0)*(cima*wl(2,j)*x14 - wl(3,j)*x17)
          x24 = w2(1) + x23
          wp(0,j) = co(1)*(pl(1)*(-cima*(x2 + x4) + w2(2)*wl(1,j)) + pl(2)*(   &
                    cima*x1 + w2(2)*wl(0,j))) + m*x7
          wp(1,j) = co(0)*m*(cima*x8 + w2(2)*wl(2,j) + x11) - co(1)*(pl(0)*(   &
                    cima*x1 + w2(2)*wl(0,j)) + pl(3)*(-cima*(x2 + x4) + w2(2)* &
                    wl(1,j)))
          wp(2,j) = co(0)*(cima*pl(0)*x6 - pl(0)*w2(2)*wl(3,j) + pl(2)*(cima*x8&
                     - cima*x9 + w2(2)*wl(2,j))) + co(1)*m*(-cima*(x2 + x4) +  &
                    w2(2)*wl(1,j))
          wp(3,j) = co(0)*(cima*pl(3)*x6 + pl(1)*(cima*x8 - cima*x9 + w2(2)*wl(&
                    2,j)) - pl(3)*w2(2)*wl(3,j)) - m*x16
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x18
          sp2(0,1) = x19
          sp2(0,2) = x7
          sp2(0,3) = x21
          sp2(1,0) = x19
          sp2(1,1) = x18
          sp2(1,2) = co(0)*(x10 - x20)
          sp2(1,3) = x22
          sp2(2,0) = co(1)*(-wl(0,j)*x23 + x0 + x15)
          sp2(2,1) = -co(1)*(wl(1,j)*x24 + x4)
          sp2(2,2) = -co(0)*(wl(2,j)*x23 - x8 + x9)
          sp2(2,3) = -co(0)*(wl(3,j)*x24 + x5)
          sp2(3,0) = x18
          sp2(3,1) = x16
          sp2(3,2) = x22
          sp2(3,3) = x21
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopFaVF0
end module lcFaVF0
